<?php
namespace Bushelpowered\Api\Grain\Contracts\V1\Request;
        
class ContractPagination implements Api\Common\PaginationBase
{
    /** @var \Bushelpowered\Api\Grain\Contracts\V1\Request\ContractSortPlan[]|null $sortPlan */
    public ?array $sortPlan = null;
    public ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractSortSchemes $sortScheme = null;
    public ?string $token = null;
    public ?int $pageSize = null;

    /**
     * @param  \Bushelpowered\Api\Grain\Contracts\V1\Request\ContractSortPlan[]|null  $sortPlan
     */
    public function __construct(?array $sortPlan, ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractSortSchemes $sortScheme, ?string $token, ?int $pageSize)
    {
        $this->sortPlan = $sortPlan;
        $this->sortScheme = $sortScheme;
        $this->token = $token;
        $this->pageSize = $pageSize;
    }
    
    public function getToken(): ?string
    {
        return $this->token;
    }
    public function getPageSize(): ?int
    {
        return $this->pageSize;
    }
}