<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class SubjectGroupRef implements Api\Iam\Access\Common\V1\HasOptionalTenantId
{
    public string $subjectGroupId;
    public ?string $tenantId = null;

    /**
     */
    public function __construct(string $subjectGroupId, ?string $tenantId)
    {
        $this->subjectGroupId = $subjectGroupId;
        $this->tenantId = $tenantId;
    }
    
    public function getTenantId(): ?string
    {
        return $this->tenantId;
    }
}