<?php
namespace Bushelpowered\Api\Poyreports\V1\Response;
        
class ConfigurationResponse implements Api\Common\HasCreatedAtTimestamp, Api\Common\HasUpdatedAtTimestamp
{
    public string $id;
    public bool $enabled;
    public ?string $title = null;
    public int $createdAt;
    public int $updatedAt;

    /**
     */
    public function __construct(string $id, bool $enabled, ?string $title, int $createdAt, int $updatedAt)
    {
        $this->id = $id;
        $this->enabled = $enabled;
        $this->title = $title;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    public function getCreatedAt(): int
    {
        return $this->createdAt;
    }
    public function getUpdatedAt(): int
    {
        return $this->updatedAt;
    }
}