<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class UpdateSubjectGroupMembersRequest 
{
    public string $id;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[]|null $membersToAdd */
    public ?array $membersToAdd = null;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[]|null $membersToRemove */
    public ?array $membersToRemove = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[]|null  $membersToAdd
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[]|null  $membersToRemove
     */
    public function __construct(string $id, ?array $membersToAdd, ?array $membersToRemove)
    {
        $this->id = $id;
        $this->membersToAdd = $membersToAdd;
        $this->membersToRemove = $membersToRemove;
    }
    

}