<?php
namespace Bushelpowered\Api\Platform\Location\V1\Request;
        
class GetAllLocationsRequest implements Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    public ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination = null;

    /**
     * @param  string[]|null  $ids
     * @param  string[]|null  $tenantIds
     */
    public function __construct(?array $ids, ?array $tenantIds, ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination
    {
        return $this->pagination;
    }
}