<?php
namespace Bushelpowered\Api\Platform\Subscription\V1\Event;
        
class SubscriptionEvent implements Api\Common\Event\Event
{
    public \Bushelpowered\Api\Platform\Subscription\V1\Model\SubscriptionStandard $data;
    public string $idempotencyKey;
    public int $eventCreationTime;
    public ?string $tenantId = null;

    /**
     */
    public function __construct(\Bushelpowered\Api\Platform\Subscription\V1\Model\SubscriptionStandard $data, string $idempotencyKey, int $eventCreationTime, ?string $tenantId)
    {
        $this->data = $data;
        $this->idempotencyKey = $idempotencyKey;
        $this->eventCreationTime = $eventCreationTime;
        $this->tenantId = $tenantId;
    }
    
    public function getIdempotencyKey(): string
    {
        return $this->idempotencyKey;
    }
    public function getEventCreationTime(): int
    {
        return $this->eventCreationTime;
    }
    public function getTenantId(): ?string
    {
        return $this->tenantId;
    }
}